Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::BoxChild Class Reference

A GtkBoxChild C++ wrapper class. More...

`#include <inti/gtk/box.h>`

List of all members.

## Public Member Functions

Accessors

- GtkBoxChild * gtk_box_child () const
    Get a pointer to the GtkBoxChild structure.
- Widget * widget () const
    Gets the child widget, packed into the Box.
- bool expand () const
    Get the child widget expand flag.
- bool fill () const
    Get the child widget fill flag.
- unsigned int padding () const
    Gets the number of extra pixels to put between the child widget and its neighbors.
- PackType pack () const
    Gets the child widget PackType.

## Detailed Description

A GtkBoxChild C++ wrapper class.

The BoxChild holds a child widget of Box and describes how the child is to be packed into the Box. Use query_child_packing() and set_child_packing() to query and reset the padding, expand, fill, and pack fields.

## Member Function Documentation

bool Inti::Gtk::BoxChild::expand | ( |  | ) | const`[inline]`

| Get the child widget expand flag. Returns: true if extra space should be given to the child widget. The expand flag indicates whether extra space should be given to this child. Any extra space given to the parent Box is divided up among all children with this attribute set to true; set when packed, true by default.

bool Inti::Gtk::BoxChild::fill | ( |  | ) | const`[inline]`

| Get the child widget fill flag. Returns: true if extra space given to this child is allocated to the child. Indicates whether any extra space given to this child due to its expand attribute being set is actually allocated to the child, rather than being used as padding around the widget; set when packed, true by default.

PackType Inti::Gtk::BoxChild::pack | ( |  | ) | const`[inline]`

| Gets the child widget PackType. Returns: The PackType. The PackType indicates whether the child is packed with reference to the start (top/left) or end (bottom/right) of the Box.

unsigned int Inti::Gtk::BoxChild::padding | ( |  | ) | const`[inline]`

| Gets the number of extra pixels to put between the child widget and its neighbors. Returns: The number of extra pixels. The padding is the number of extra pixels between this child and its neighbors, set when packed, zero by default.

Widget* Inti::Gtk::BoxChild::widget | ( |  | ) | const

| Gets the child widget, packed into the Box. Returns: The child packed into the Box. The returned widget does not have a reference added, so you do not need to unref it.

The documentation for this class was generated from the following file:

- box.h

Main Page - Footer